Package com.orbbec.obsensor

## Enum DeviceStateType

- java.lang.Object
- - java.lang.Enum<DeviceStateType>
  - - com.orbbec.obsensor.DeviceStateType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DeviceStateType>`

    public enum DeviceStateType
    extends java.lang.Enum<DeviceStateType>

Device Status Type

### Enum Constant Summary

Enum Constants
`FATAL` Device overtemperature abnormality
`NORMAL` The device is normal, the default value
`WARN` Device high temperature warning

### Method Summary

All Methods Static Methods Concrete Methods
`static DeviceStateType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeviceStateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final DeviceStateType NORMAL

The device is normal, the default value

#### WARN

    public static final DeviceStateType WARN

Device high temperature warning

#### FATAL

    public static final DeviceStateType FATAL

Device overtemperature abnormality

### Method Detail

#### values

    public static DeviceStateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DeviceStateType c : DeviceStateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DeviceStateType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null